# Method: projects.locations.memberships.features.patch

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#body.aspect)
- [Examples](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#examples)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features/patch#try-it)

Updates an existing MembershipFeature.

### HTTP request

`PATCH https://gkehub.googleapis.com/v2beta/{membershipFeature.name=projects/*/locations/*/memberships/*/features/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `membershipFeature.name` | `string` Output only. The resource name of the membershipFeature, in the format: `projects/{project}/locations/{location}/memberships/{membership}/features/{feature}`. Note that `membershipFeatures` is shortened to `features` in the resource name. (see <http://go/aip/122#collection-identifiers>) |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `requestId` | `string` Idempotent request UUID. |
| `allowMissing` | `boolean` Optional. If set to true, and the MembershipFeature is not found, a new MembershipFeature will be created. In this situation, `updateMask` is ignored. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v2beta/projects.locations.memberships.features#MembershipFeature`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).